# Created by pyp2rpm-3.3.4
%global pypi_name click-repl

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %mkrel 3
Summary:        REPL plugin for Click
Group:          Development/Python
License:        MIT
URL:            https://github.com/untitaker/click-repl
# Tests are missing from pypi sources
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-click
BuildRequires:  python3-pytest
BuildRequires:  python3-prompt-toolkit
BuildRequires:  python3-six

%description
REPL plugin for Click.

%package -n     python3-%{pypi_name}
Summary:        REPL plugin for Click
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
REPL plugin for Click.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/click_repl/
%{python3_sitelib}/click_repl-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.2.0-3.mga9
+ Revision: 1833354
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.2.0-2.mga9
+ Revision: 1785579
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 0.2.0-1.mga9
+ Revision: 1743073
- new version 0.2.0

* Mon Mar 22 2021 daviddavid <daviddavid> 0.1.6-2.mga9
+ Revision: 1707534
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 0.1.6-1.mga8
+ Revision: 1669561
- initial package python-click-repl (needed for python-celery)

